RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");String invoiceId = "inv_DAtUWmR3Y5Dmxb";JSONObject invoiceRequest = new JSONObject();List<Object> lines = new ArrayList<>();JSONObject lineItems = new JSONObject();lineItems.put("id","li_DAweOizsysoJU6");lineItems.put("name","Book / English August - Updated name and quantity");lineItems.put("quantity",1);JSONObject lineItems1 = new JSONObject();lineItems1.put("name","Book / A Wild Sheep Chase");lineItems1.put("amount","200");lineItems1.put("currency","INR");lineItems1.put("quantity",1);lines.add(lineItems);lines.add(lineItems1);invoiceRequest.put("line_items",lines);JSONObject notes = new JSONObject();notes.put("updated-key","An updated note.");invoiceRequest.put("notes", notes);Invoice invoice = razorpay.invoices.edit(invoiceId,invoiceRequest);
import razorpayclient = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))client.invoice.edit(invoiceId,{ "line_items": [ { "id": "li_DAweOizsysoJU6", "name": "Book / English August - Updated name and quantity", "quantity": 1 }, { "name": "Book / A Wild Sheep Chase", "amount": 200, "currency": "INR", "quantity": 1 } ], "notes": { "updated-key": "An updated note." }})
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");String invoiceId = "inv_DAtUWmR3Y5Dmxb";JSONObject invoiceRequest = new JSONObject();List<Object> lines = new ArrayList<>();JSONObject lineItems = new JSONObject();lineItems.put("id","li_DAweOizsysoJU6");lineItems.put("name","Book / English August - Updated name and quantity");lineItems.put("quantity",1);JSONObject lineItems1 = new JSONObject();lineItems1.put("name","Book / A Wild Sheep Chase");lineItems1.put("amount","200");lineItems1.put("currency","INR");lineItems1.put("quantity",1);lines.add(lineItems);lines.add(lineItems1);invoiceRequest.put("line_items",lines);JSONObject notes = new JSONObject();notes.put("updated-key","An updated note.");invoiceRequest.put("notes", notes);Invoice invoice = razorpay.invoices.edit(invoiceId,invoiceRequest);
import razorpayclient = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))client.invoice.edit(invoiceId,{ "line_items": [ { "id": "li_DAweOizsysoJU6", "name": "Book / English August - Updated name and quantity", "quantity": 1 }, { "name": "Book / A Wild Sheep Chase", "amount": 200, "currency": "INR", "quantity": 1 } ], "notes": { "updated-key": "An updated note." }})
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");String invoiceId = "inv_DAtUWmR3Y5Dmxb";JSONObject invoiceRequest = new JSONObject();List<Object> lines = new ArrayList<>();JSONObject lineItems = new JSONObject();lineItems.put("id","li_DAweOizsysoJU6");lineItems.put("name","Book / English August - Updated name and quantity");lineItems.put("quantity",1);JSONObject lineItems1 = new JSONObject();lineItems1.put("name","Book / A Wild Sheep Chase");lineItems1.put("amount","200");lineItems1.put("currency","INR");lineItems1.put("quantity",1);lines.add(lineItems);lines.add(lineItems1);invoiceRequest.put("line_items",lines);JSONObject notes = new JSONObject();notes.put("updated-key","An updated note.");invoiceRequest.put("notes", notes);Invoice invoice = razorpay.invoices.edit(invoiceId,invoiceRequest);
import razorpayclient = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))client.invoice.edit(invoiceId,{ "line_items": [ { "id": "li_DAweOizsysoJU6", "name": "Book / English August - Updated name and quantity", "quantity": 1 }, { "name": "Book / A Wild Sheep Chase", "amount": 200, "currency": "INR", "quantity": 1 } ], "notes": { "updated-key": "An updated note." }})
{ "error": { "code": "BAD_REQUEST_ERROR", "description": "The api key provided is invalid", "source": "NA", "step": "NA", "reason": "NA", "metadata": {} }}
Path Parameters
string
required
The unique identifier of the invoice.
Request Parameters
string
Indicates the type of entity. Here, it is invoice.
string
A brief description of the invoice.
string
Invoice is created in draft state when value is set to 1.
string
You can pass the customer_id in this field, if you are using the Customers API. If not, you can pass the customer object described in the below fields.
object
Customer details.
string
required
Customer’s name. Alphanumeric, with period (.), apostrophe (’) and parentheses allowed. The name must be between 3-50 characters in length. For example, Gaurav Kumar.
string
The customer’s email address. A maximum length of 64 characters. For example, gaurav.kumar@example.com.
string
The customer’s phone number. A maximum length of 15 characters including country code. For example, +919876543210.
object
The customer’s billing address.
string
required
The first line of the customer’s address.
string
The second line of the customer’s address.
string
required
The city
string
required
The zipcode
string
required
The state
string
required
The country
object
The customer’s shipping address.
string
required
The first line of the customer’s address.
string
The second line of the customer’s address.
string
required
The city
string
required
The zipcode
string
required
The state
string
required
The country
object
Details of the line item that is billed in the invoice. Maximum of 50 line items.
string
required
If you are using the Items API, you may use an existing item. You can choose to override details such as name, description by passing these along with item_id. While the invoice will show the updated details, the existing item will not be updated. This parameter is mandatory if you are not going to use any other parameter in the array.
string
required
The item name. Mandatory if item_id is not provided.
string
A brief description of the item.
integer
required
Amount to be paid using the invoice. Must be in the smallest unit of the currency. For example, if the amount to be received from the customer is ₹300, pass the value as 30000. Mandatory if item_id is not provided. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.
Watch Out!As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as 99990 and not 99991.
Handy TipsRazorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about Currency Conversion (May 2024).
integer
The number of units of the item billed in the invoice. Defaults to 1.
integer
Timestamp, in Unix format, at which the invoice will expire.
boolean
Defines who handles the SMS notification. Possible values:
true (default): Razorpay sends the notification to the customer.
false: You send the notification to the customer.
boolean
Defines who handles the email notification. Possible values:
true (default): Razorpay sends the notification to the customer.
false: You send the notification to the customer.
boolean
Indicates whether the customer can make a partial payment on the invoice. Possible values:
true: The customer can make partial payments.
false (default): The customer cannot make partial payments.
string
The currency associated with the invoice. You must mandatorily pass this parameter if accepting international payments. If you have passed currency as a sub-parameter in the line_item object, you must ensure that the same currency is passed in both places. Know about the list of supported international currencies.
Handy TipsRazorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about Currency Conversion (May 2024).
Response Parameters
string
The unique identifier of the invoice.
string
Indicates the type of entity. Here, it is invoice.
string
Here, it should be invoice.
string
Unique number you added for internal reference. The minimum character length is 1 and maximum is 40.
string
The unique identifier of the customer. You can create customer_id using the Customers API. Alternatively, you can pass the customer object described in the below fields.
object
Details of the customer.
string
Unique identifier of the customer. For example, cust_1Aa00000000004.
string
Customer’s name. Alphanumeric, with period (.), apostrophe (’) and parentheses allowed. The name must be between 3-50 characters in length. For example, Gaurav Kumar.
string
The customer’s email address. A maximum length of 64 characters. For example, gaurav.kumar@example.com.
string
The customer’s phone number. A maximum length of 15 characters including country code. For example, +919876543210.
object
Details of the customer’s billing address.
string
The unique identifier generated for the customer’s billing address.
string
The customer address type. Here it is billing_address.
boolean
Defines if this is the primary address.
true: It is the customer’s primary address.
false: It is not the customer’s primary address.
string
The first line of the customer’s address.
string
The second line of the customer’s address.
string
The city.
string
The zipcode.
string
The state.
string
The country.
object
Details of the customer’s shipping address.
string
The unique identifier generated for the customer’s shipping address.
string
The customer address type. Here it is shipping_address.
boolean
Defines if this is the primary address.
true: It is the customer’s primary address.
false: It is not the customer’s primary address.
string
The first line of the customer’s address.
string
The second line of the customer’s address.
string
The city.
string
The zipcode.
string
The state.
string
The country.
string
The unique identifier of the order associated with the invoice.
object
Details of the line item that is billed in the invoice. Maximum of 50 line items.
string
Unique identifier that is generated if a new item has been created while creating the invoice.
string
Unique identifier of the item generated using Items API that has been billed in the invoice.
The quantity of the item billed in the invoice. Defaults to 1.
string
Unique identifier of a payment made against this invoice.
string
The status of the invoice. Know more about Invoice States. Possible values:
draft
issued
partially_paid
paid
cancelled
expired
deleted
integer
Timestamp, in Unix format, at which the invoice will expire.
integer
Timestamp, in Unix format, at which the invoice was issued to the customer.
integer
Timestamp, in Unix format, at which the payment was made.
integer
Timestamp, in Unix format, at which the invoice was cancelled.
integer
Timestamp, in Unix format, at which the invoice expired.
string
The delivery status of the SMS notification for the invoice sent to the customer. Possible values:
pending
sent
string
The delivery status of the email notification for the invoice sent to the customer. Possible values:
pending
sent
boolean
Indicates whether the customer can make a partial payment on the invoice. Possible values:
true: The customer can make partial payments.
false (default): The customer cannot make partial payments.
integer
Amount to be paid using the invoice. Must be in the smallest unit of the currency. For example, if the amount to be received from the customer is , pass the value as 30000.
integer
Amount paid by the customer against the invoice.
integer
The remaining amount to be paid by the customer for the issued invoice.
string
The currency associated with the invoice. You must mandatorily pass this parameter if accepting international payments. If you have passed currency as a sub-parameter in the line_item object, you must ensure that the same currency is passed in both places. Know about the list of supported international currencies.
string
A brief description of the invoice. The maximum character length is 2048.
object
Any custom notes added to the invoice. Maximum of 2048 characters.
string
The short URL that is generated. Share this link with customers to accept payments.
integer
Timestamp, in Unix format, that indicates the issue date of the invoice.
string
Any terms to be included in the invoice. Maximum of 2048 characters.
string
Any comments to be added in the invoice. Maximum of 2048 characters.
string
A unique reference number for the invoice, used for internal tracking and reconciliation.
string
A unique receipt number that you can provide for the invoice, for your internal reference.
string
For example, ₹.
string
A unique key used to ensure idempotency of the invoice creation request, preventing duplicate invoices.
integer
Unix timestamp marking the end of the billing period for the invoice.
integer
The gross amount for this invoice, in the smallest currency unit (paise for INR). For example, 50000.
string
Unique identifier of the subscription this invoice was generated for. null for one-off invoices.
Errors
The api key provided is invalid
Code:400The API key or secret are not entered or an invalid API key is used.Solution: Use and enter the correct API details while executing the API.
customer, line_items, sms_notify, email_notify, draft, date, currency is/are not required and should not be sent
Code:400The mentioned parameters are not required for updating an invoice. The API echoes the rejected field name in the response.Solution: Pass only the required parameters in the Update Invoice API.
The amount field is required when item id is not present.
Code:400Only name is entered without item id or amount.Solution: Provide either the item id or the amount with the name.
The name field is required when item id is not present.
Code:400Possible reasons:
Only the amount field is entered without a name or item id.
The amount, name or item id are not entered.
Solution: Provide the name field of the item when passing the amount.
amount cannot be updated if invoice has line_items.
Code:400The invoice already has one or more line_items. Razorpay derives the invoice amount from the line items, so a top-level amount cannot be updated independently.Solution: Update the corresponding line_items[].amount instead, or remove the line items before changing the invoice amount.
Last modified on October 14, 2026
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Razorpay","colors":{"primary":"#3395FF","light":"#66B2FF","dark":"#0B62C4"},"logo":{"light":"https://mintcdn.com/razorpay-881012b3/puuu1wI-BbW3rsp2/logo/light.svg?fit=max\u0026auto=format\u0026n=puuu1wI-BbW3rsp2\u0026q=85\u0026s=e0750375ee2004193a685f9f211963fe","dark":"https://mintcdn.com/razorpay-881012b3/puuu1wI-BbW3rsp2/logo/dark.svg?fit=max\u0026auto=format\u0026n=puuu1wI-BbW3rsp2\u0026q=85\u0026s=038b180f26d19ddb4eb40ede0cf84821","href":"https://razorpay.com/docs/"},"favicon":"https://mintcdn.com/razorpay-881012b3/puuu1wI-BbW3rsp2/favicon.png?fit=max\u0026auto=format\u0026n=puuu1wI-BbW3rsp2\u0026q=85\u0026s=9bebe786d3a21e9452fd2e31243e5fb3","api":{"playground":{"display":"interactive"},"mdx":{"auth":{"method":"basic"},"server":"https://api.razorpay.com"}},"navbar":{"links":[{"href":"https://razorpay.com/support/","label":"Support"},{"href":"https://razorpay.com/blog/","label":"Blog"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.razorpay.com/"}},"footer":{"socials":{"x":"https://x.com/Razorpay","linkedin":"https://www.linkedin.com/company/razorpay","github":"https://github.com/razorpay","youtube":"https://www.youtube.com/razorpay"},"links":[{"header":"Products","items":[{"label":"Payment Gateway","href":"https://razorpay.com/payment-gateway"},{"label":"Payment Links","href":"https://razorpay.com/payment-links"},{"label":"RazorpayX","href":"https://razorpay.com/x"},{"label":"Payroll","href":"https://razorpay.com/payroll"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://razorpay.com/docs"},{"label":"API Reference","href":"https://razorpay.com/docs/api"},{"label":"Support","href":"https://razorpay.com/support"},{"label":"Blog","href":"https://razorpay.com/blog"}]},{"header":"Company","items":[{"label":"About Us","href":"https://razorpay.com/about"},{"label":"Careers","href":"https://razorpay.com/jobs"},{"label":"Pricing","href":"https://razorpay.com/pricing"}]}]},"seo":{"metatags":{"canonical":"https://razorpay.com/docs"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"razorpay-881012b3","hasAudioNarration":false,"actualSubdomain":"razorpay-881012b3","customDomains":["razorpay.com"],"gitSource":{"type":"github","owner":"razorpay-vendor-integrations","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af6ba848e44a061408c20f5","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Payments","count":1652},{"language":"default","tag":"API Reference","count":772},{"language":"default","tag":"Payment Gateway","count":237},{"language":"default","tag":"Dashboard","count":214},{"language":"default","tag":"Subscriptions","count":190},{"language":"default","tag":"Payouts","count":158},{"language":"default","tag":"Payment Links","count":129},{"language":"default","tag":"Banking Plus","count":123},{"language":"default","tag":"Developer Tools","count":104},{"language":"default","tag":"Ecommerce Plugins","count":104}],"searchSettings":{"maxResults":8}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#navbar ul.sidebar-group.mt-6,ul.sidebar-group.mt-6{margin-top:1rem}[data-component-part=\"callout-content\"]>[data-as=\"p\"]:first-child>strong,[data-component-part=\"callout-content\"]>[data-as=\"p\"]:first-child strong,[data-component-part=\"callout-content\"]>strong:first-child{font-size:1.125rem!important;font-weight:700!important;line-height:1.4!important}.error-code-cards [data-component-part=\"card-title\"]{display:inline-block!important;font-family:ui-monospace, \"SF Mono\", SFMono-Regular, Menlo, Consolas,\n \"Liberation Mono\", monospace!important;font-size:0.875rem!important;font-weight:600!important;line-height:1.3!important;padding:0.25rem 0.75rem!important;border-radius:9999px!important;background:rgba(107, 114, 128, 0.10)!important;border:1px solid rgba(107, 114, 128, 0.25)!important}.dark .error-code-cards [data-component-part=\"card-title\"]{background:rgba(255, 255, 255, 0.06)!important;border-color:rgba(255, 255, 255, 0.15)!important}[data-http-method]{font-weight:700!important;border-color:transparent!important}[data-http-method=\"get\"]{color:#15803d!important;background:rgba(74, 222, 128, 0.2)!important}[data-http-method=\"post\"]{color:#1d4ed8!important;background:rgba(96, 165, 250, 0.2)!important}[data-http-method=\"put\"]{color:#a16207!important;background:rgba(250, 204, 21, 0.2)!important}[data-http-method=\"patch\"]{color:#c2410c!important;background:rgba(251, 146, 60, 0.2)!important}[data-http-method=\"delete\"]{color:#b91c1c!important;background:rgba(248, 113, 113, 0.2)!important}.dark [data-http-method=\"get\"]{color:#4ade80!important}.dark [data-http-method=\"post\"]{color:#60a5fa!important}.dark [data-http-method=\"put\"]{color:#facc15!important}.dark [data-http-method=\"patch\"]{color:#fb923c!important}.dark [data-http-method=\"delete\"]{color:#f87171!important}ul.sidebar-group.mt-6{margin-top:5px}.sticky .panel:has(>.rzp-code-selector){display:grid;grid-auto-rows:minmax(0, 1fr);gap:1.5rem;overflow:hidden}.sticky:has(>.panel>.rzp-code-selector)>div:not(.panel){display:none}.rzp-code-selector{position:relative;display:flex;flex-direction:column;min-height:0;overflow:hidden;padding:0.125rem;border:1px solid rgba(3, 7, 18, 0.1);border-radius:1rem;background:rgb(244, 247, 250)}.dark .rzp-code-selector{border-color:rgba(255, 255, 255, 0.1);background:rgba(255, 255, 255, 0.05)}.rzp-code-selector-bar{display:flex;align-items:center;justify-content:space-between;gap:0.5rem;flex:none;flex-wrap:wrap;padding:0.25rem 4.25rem 0.375rem 0.5rem}.rzp-code-selector-field{position:relative;display:inline-flex;align-items:center;flex:0 0 auto}.rzp-code-selector-select{appearance:none;-webkit-appearance:none;min-width:max-content;padding:0.125rem 1.75rem 0.125rem 0.375rem;border:0;border-radius:0.5rem;background:transparent;color:var(--color-gray-600, #4b5563);font-size:0.75rem;font-weight:500;line-height:1.5rem;cursor:pointer}.dark .rzp-code-selector-select{color:var(--color-gray-300, #d1d5db)}.rzp-code-selector-select:hover{background:rgba(3, 7, 18, 0.05)}.dark .rzp-code-selector-select:hover{background:rgba(255, 255, 255, 0.08)}.rzp-code-selector-chevron{position:absolute;right:0.25rem;width:0.875rem;height:0.875rem;pointer-events:none;opacity:0.6}.rzp-code-selector-body{flex:1 1 auto;min-height:0;overflow-y:auto;overscroll-behavior:contain}.rzp-code-selector-body>.code-block{margin:0!important;min-width:0;border-radius:0 0 0.875rem 0.875rem;position:static!important}.rzp-code-selector-body [data-component-part=\"code-block-root\"]{border-radius:0 0 0.875rem 0.875rem}.rzp-code-selector-body .code-block-fade-overlay{display:none}.rzp-code-selector::after{content:\"\";position:absolute;inset:auto 0 0;height:2rem;border-radius:0 0 0.875rem 0.875rem;pointer-events:none;background:linear-gradient(to bottom, rgba(255, 255, 255, 0), #fff)}.dark .rzp-code-selector::after{background:linear-gradient(to bottom, rgba(11, 12, 14, 0), rgb(11, 12, 14))}.rzp-code-selector>.rzp-code-selector-body>.code-block>.absolute{top:0.5rem;right:0.75rem}"},{"filePath":"static/docs-home/styles.css","href":"/docs/_mintlify/custom/razorpay-881012b3/5b8b615a0125ba7b/static/docs-home/styles.css"},{"filePath":"static/nav-more.css","content":"#navbar .nav-tabs{min-width:0;column-gap:1rem}#navbar .nav-tabs:not(.rzpn-more) .nav-tabs-item{display:block;flex:0 1 auto;min-width:3.5rem;min-width:calc-size(max-content, min(size, 5.25rem));white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:3rem}#navbar .nav-tabs:not(.rzpn-more) .nav-tabs-item>svg{display:inline-block;vertical-align:middle;margin:-2px 8px 0 0}#navbar .nav-tabs.rzpn-more .nav-tabs-item{flex:none;white-space:nowrap}#navbar .nav-tabs-item[data-rzpn-hidden]{display:none}#navbar .rzpn-more-wrap{position:relative;flex:none}#navbar .rzpn-more-wrap:not([hidden]){display:flex}#navbar .rzpn-more-menu:not([hidden]){display:flex;flex-direction:column}#navbar .rzpn-more-btn{background:none;border:0;padding:0;cursor:pointer;white-space:nowrap}#navbar .rzpn-more-menu{position:absolute;top:calc(100% - 4px);right:0;z-index:50;min-width:12rem;padding:6px;border-radius:12px;box-shadow:0 8px 24px rgba(0,0,0,.12)}#navbar .rzpn-more-menu a{display:flex;align-items:center;gap:8px;padding:8px 10px;border-radius:8px;white-space:nowrap}#navbar .rzpn-more-menu a:hover,#navbar .rzpn-more-menu a:focus-visible{background:rgba(127,127,127,.12)}"}],"page":{"pagePath":"api/payments/invoices/update","slug":"/api/payments/invoices/update","pageMetadata":{"title":"Update an Invoice","description":"Update the details of the Invoice using this endpoint.","api":"PATCH /v1/invoices/:id","href":"/api/payments/invoices/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update the details of the Invoice using this endpoint.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Heading,Info,ParamField,ResponseField,Table,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(`div`,{style:{display:`flex`,flexWrap:`wrap`,alignItems:`center`,gap:`0.35rem 0.9rem`,border:`1px solid rgba(128,128,128,0.28)`,borderRadius:`0.5rem`,padding:`0.45rem 0.75rem`,margin:`0 0 1.25rem`,fontSize:`0.875rem`},children:[_jsx(`span`,{style:{fontWeight:600},children:`Available in`}),_jsx(`span`,{children:`🇮🇳 India`}),_jsx(`span`,{children:`🇲🇾 Malaysia`}),_jsx(`span`,{children:`🇺🇸 United States`})]}),`\n`,_jsx(_components.p,{children:`Use this endpoint to update the details of the invoice.`}),`\n`,_jsx(_components.p,{children:`The following table displays ths updates allowed as per invoice states:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Parameter Update Allowed`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Draft`}),_jsx(_components.td,{children:`All parameters can be updated including the line items. You can also add new line items.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Issued`}),_jsxs(_components.td,{children:[`You can update the following parameters: `,_jsxs(`ul`,{children:[_jsx(`li`,{children:_jsx(_components.code,{children:`partial_payment`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`receipt`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`comment`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`terms`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`notes`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`expire_by`})})]})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Cancelled`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Expired`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Partially Paid`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Paid`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]})]})]}),`\n`,`\n`,`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`The unique identifier of the invoice.`})}),`\n`,_jsx(Heading,{level:`2`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsx(ParamField,{body:`type`,type:`string`,id:`param-type`,children:_jsxs(_components.p,{children:[`Indicates the type of entity. Here, it is `,_jsx(_components.code,{children:`invoice`}),`.`]})}),`\n`,_jsx(ParamField,{body:`description`,type:`string`,id:`param-description`,children:_jsx(_components.p,{children:`A brief description of the invoice.`})}),`\n`,_jsx(ParamField,{body:`draft`,type:`string`,id:`param-draft`,children:_jsxs(_components.p,{children:[`Invoice is created in `,_jsx(_components.code,{children:`draft`}),` state when value is set to `,_jsx(_components.code,{children:`1`}),`.`]})}),`\n`,_jsx(ParamField,{body:`customer_id`,type:`string`,id:`param-customer-id`,children:_jsxs(_components.p,{children:[`You can pass the `,_jsx(_components.code,{children:`customer_id`}),` in this field, if you are using the `,_jsx(_components.a,{href:`/api/customers`,children:`Customers API`}),`. If not, you can pass the customer object described in the below fields.`]})}),`\n`,_jsx(ParamField,{body:`customer`,type:`object`,id:`param-customer`,children:_jsx(_components.p,{children:`Customer details.`})}),`\n`,_jsx(ParamField,{body:`name`,type:`string`,required:true,id:`param-name`,children:_jsxs(_components.p,{children:[`Customer’s name. Alphanumeric, with period (.), apostrophe (’) and parentheses allowed. The name must be between 3-50 characters in length. For example, `,_jsx(_components.code,{children:`Gaurav Kumar`}),`.`]})}),`\n`,_jsx(ParamField,{body:`email`,type:`string`,id:`param-email`,children:_jsxs(_components.p,{children:[`The customer’s email address. A maximum length of 64 characters. For example, `,_jsx(_components.code,{children:`gaurav.kumar@example.com`}),`.`]})}),`\n`,_jsx(ParamField,{body:`contact`,type:`string`,id:`param-contact`,children:_jsxs(_components.p,{children:[`The customer’s phone number. A maximum length of 15 characters including country code. For example, `,_jsx(_components.code,{children:`+919876543210`}),`.`]})}),`\n`,_jsx(ParamField,{body:`billing_address`,type:`object`,id:`param-billing-address`,children:_jsx(_components.p,{children:`The customer’s billing address.`})}),`\n`,_jsx(ParamField,{body:`line1`,type:`string`,required:true,id:`param-line1`,children:_jsx(_components.p,{children:`The first line of the customer’s address.`})}),`\n`,_jsx(ParamField,{body:`line2`,type:`string`,id:`param-line2`,children:_jsx(_components.p,{children:`The second line of the customer’s address.`})}),`\n`,_jsx(ParamField,{body:`city`,type:`string`,required:true,id:`param-city`,children:_jsx(_components.p,{children:`The city`})}),`\n`,_jsx(ParamField,{body:`zipcode`,type:`string`,required:true,id:`param-zipcode`,children:_jsx(_components.p,{children:`The zipcode`})}),`\n`,_jsx(ParamField,{body:`state`,type:`string`,required:true,id:`param-state`,children:_jsx(_components.p,{children:`The state`})}),`\n`,_jsx(ParamField,{body:`country`,type:`string`,required:true,id:`param-country`,children:_jsx(_components.p,{children:`The country`})}),`\n`,_jsx(ParamField,{body:`shipping_address`,type:`object`,id:`param-shipping-address`,children:_jsx(_components.p,{children:`The customer’s shipping address.`})}),`\n`,_jsx(ParamField,{body:`line1`,type:`string`,required:true,id:`param-line1-1`,children:_jsx(_components.p,{children:`The first line of the customer’s address.`})}),`\n`,_jsx(ParamField,{body:`line2`,type:`string`,id:`param-line2-1`,children:_jsx(_components.p,{children:`The second line of the customer’s address.`})}),`\n`,_jsx(ParamField,{body:`city`,type:`string`,required:true,id:`param-city-1`,children:_jsx(_components.p,{children:`The city`})}),`\n`,_jsx(ParamField,{body:`zipcode`,type:`string`,required:true,id:`param-zipcode-1`,children:_jsx(_components.p,{children:`The zipcode`})}),`\n`,_jsx(ParamField,{body:`state`,type:`string`,required:true,id:`param-state-1`,children:_jsx(_components.p,{children:`The state`})}),`\n`,_jsx(ParamField,{body:`country`,type:`string`,required:true,id:`param-country-1`,children:_jsx(_components.p,{children:`The country`})}),`\n`,_jsx(ParamField,{body:`line_items`,type:`object`,id:`param-line-items`,children:_jsx(_components.p,{children:`Details of the line item that is billed in the invoice. Maximum of 50 line items.`})}),`\n`,_jsx(ParamField,{body:`item_id`,type:`string`,required:true,id:`param-item-id`,children:_jsxs(_components.p,{children:[`If you are using the `,_jsx(_components.a,{href:`/api/payments/invoices/create-item`,children:`Items API`}),`, you may use an existing item. You can choose to override details such as name, description by passing these along with `,_jsx(_components.code,{children:`item_id`}),`. While the invoice will show the updated details, the existing item will not be updated. This parameter is mandatory if you are not going to use any other parameter in the array.`]})}),`\n`,_jsx(ParamField,{body:`name`,type:`string`,required:true,id:`param-name-1`,children:_jsxs(_components.p,{children:[`The item name. Mandatory if `,_jsx(_components.code,{children:`item_id`}),` is not provided.`]})}),`\n`,_jsx(ParamField,{body:`description`,type:`string`,id:`param-description-1`,children:_jsx(_components.p,{children:`A brief description of the item.`})}),`\n`,_jsxs(ParamField,{body:`amount`,type:`integer`,required:true,id:`param-amount`,children:[_jsxs(_components.p,{children:[`Amount to be paid using the invoice. Must be in the smallest unit of the currency. For example, if the amount to be received from the customer is ₹300, pass the value as `,_jsx(_components.code,{children:`30000`}),`. Mandatory if `,_jsx(_components.code,{children:`item_id`}),` is not provided. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as `,_jsx(_components.code,{children:`295990`}),`. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as `,_jsx(_components.code,{children:`295`}),`.`]}),_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Watch Out!`})}),_jsxs(_components.p,{children:[`As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as `,_jsx(_components.code,{children:`99990`}),` and not `,_jsx(_components.code,{children:`99991`}),`.`]})]})]}),`\n`,_jsxs(ParamField,{body:`currency`,type:`string`,id:`param-currency`,children:[_jsxs(_components.p,{children:[`The currency associated with the item. Defaults to `,_jsx(_components.code,{children:`INR`}),`. Know about the `,_jsx(_components.a,{href:`/payments/international-payments#supported-currencies`,children:`list of supported international currencies.`}),` This should match invoice currency.`]}),_jsxs(Info,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Handy Tips`})}),_jsxs(_components.p,{children:[`Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about `,_jsx(_components.a,{href:`/payments/international-payments/currency-conversion`,children:`Currency Conversion`}),` (May 2024).`]})]})]}),`\n`,_jsx(ParamField,{body:`quantity`,type:`integer`,id:`param-quantity`,children:_jsxs(_components.p,{children:[`The number of units of the item billed in the invoice. Defaults to `,_jsx(_components.code,{children:`1`}),`.`]})}),`\n`,_jsx(ParamField,{body:`expire_by`,type:`integer`,id:`param-expire-by`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, at which the invoice will expire.`})}),`\n`,_jsxs(ParamField,{body:`sms_notify`,type:`boolean`,id:`param-sms-notify`,children:[_jsx(_components.p,{children:`Defines who handles the SMS notification. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),` (default): Razorpay sends the notification to the customer.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: You send the notification to the customer.`]}),`\n`]})]}),`\n`,_jsxs(ParamField,{body:`email_notify`,type:`boolean`,id:`param-email-notify`,children:[_jsx(_components.p,{children:`Defines who handles the email notification. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),` (default): Razorpay sends the notification to the customer.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: You send the notification to the customer.`]}),`\n`]})]}),`\n`,_jsxs(ParamField,{body:`partial_payment`,type:`boolean`,id:`param-partial-payment`,children:[_jsx(_components.p,{children:`Indicates whether the customer can make a partial payment on the invoice. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: The customer can make partial payments.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),` (default): The customer cannot make partial payments.`]}),`\n`]})]}),`\n`,_jsxs(ParamField,{body:`currency`,type:`string`,id:`param-currency-1`,children:[_jsxs(_components.p,{children:[`The currency associated with the invoice. You must mandatorily pass this parameter if accepting international payments. If you have passed `,_jsx(_components.code,{children:`currency`}),` as a sub-parameter in the `,_jsx(_components.code,{children:`line_item`}),` object, you must ensure that the same currency is passed in both places. Know about the `,_jsx(_components.a,{href:`/payments/international-payments#supported-currencies`,children:`list of supported international currencies.`})]}),_jsxs(Info,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Handy Tips`})}),_jsxs(_components.p,{children:[`Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about `,_jsx(_components.a,{href:`/payments/international-payments/currency-conversion`,children:`Currency Conversion`}),` (May 2024).`]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`response-parameters`,children:`Response Parameters`}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the invoice.`})}),`\n`,_jsx(ResponseField,{name:`entity`,type:`string`,id:`param-entity`,children:_jsxs(_components.p,{children:[`Indicates the type of entity. Here, it is `,_jsx(_components.code,{children:`invoice`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-1`,children:_jsxs(_components.p,{children:[`Here, it should be `,_jsx(_components.code,{children:`invoice`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`invoice_number`,type:`string`,id:`param-invoice-number`,children:_jsx(_components.p,{children:`Unique number you added for internal reference. The minimum character length is 1 and maximum is 40.`})}),`\n`,_jsx(ResponseField,{name:`customer_id`,type:`string`,id:`param-customer-id-1`,children:_jsxs(_components.p,{children:[`The unique identifier of the customer. You can create `,_jsx(_components.code,{children:`customer_id`}),` using the `,_jsx(_components.a,{href:`/api/customers`,children:`Customers API`}),`. Alternatively, you can pass the customer object described in the below fields.`]})}),`\n`,_jsx(ResponseField,{name:`customer_details`,type:`object`,id:`param-customer-details`,children:_jsx(_components.p,{children:`Details of the customer.`})}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-2`,children:_jsxs(_components.p,{children:[`Unique identifier of the customer. For example, `,_jsx(_components.code,{children:`cust_1Aa00000000004`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-2`,children:_jsxs(_components.p,{children:[`Customer’s name. Alphanumeric, with period (.), apostrophe (’) and parentheses allowed. The name must be between 3-50 characters in length. For example, `,_jsx(_components.code,{children:`Gaurav Kumar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email-1`,children:_jsxs(_components.p,{children:[`The customer’s email address. A maximum length of 64 characters. For example, `,_jsx(_components.code,{children:`gaurav.kumar@example.com`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact`,type:`string`,id:`param-contact-1`,children:_jsxs(_components.p,{children:[`The customer’s phone number. A maximum length of 15 characters including country code. For example, `,_jsx(_components.code,{children:`+919876543210`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`billing_address`,type:`object`,id:`param-billing-address-1`,children:_jsx(_components.p,{children:`Details of the customer’s billing address.`})}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-3`,children:_jsx(_components.p,{children:`The unique identifier generated for the customer’s billing address.`})}),`\n`,_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-2`,children:_jsxs(_components.p,{children:[`The customer address type. Here it is `,_jsx(_components.code,{children:`billing_address`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`primary`,type:`boolean`,id:`param-primary`,children:[_jsx(_components.p,{children:`Defines if this is the primary address.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: It is the customer’s primary address.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: It is not the customer’s primary address.`]}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`line1`,type:`string`,id:`param-line1-2`,children:_jsx(_components.p,{children:`The first line of the customer’s address.`})}),`\n`,_jsx(ResponseField,{name:`line2`,type:`string`,id:`param-line2-2`,children:_jsx(_components.p,{children:`The second line of the customer’s address.`})}),`\n`,_jsx(ResponseField,{name:`city`,type:`string`,id:`param-city-2`,children:_jsx(_components.p,{children:`The city.`})}),`\n`,_jsx(ResponseField,{name:`zipcode`,type:`string`,id:`param-zipcode-2`,children:_jsx(_components.p,{children:`The zipcode.`})}),`\n`,_jsx(ResponseField,{name:`state`,type:`string`,id:`param-state-2`,children:_jsx(_components.p,{children:`The state.`})}),`\n`,_jsx(ResponseField,{name:`country`,type:`string`,id:`param-country-2`,children:_jsx(_components.p,{children:`The country.`})}),`\n`,_jsx(ResponseField,{name:`shipping_address`,type:`object`,id:`param-shipping-address-1`,children:_jsx(_components.p,{children:`Details of the customer’s shipping address.`})}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-4`,children:_jsx(_components.p,{children:`The unique identifier generated for the customer’s shipping address.`})}),`\n`,_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-3`,children:_jsxs(_components.p,{children:[`The customer address type. Here it is `,_jsx(_components.code,{children:`shipping_address`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`primary`,type:`boolean`,id:`param-primary-1`,children:[_jsx(_components.p,{children:`Defines if this is the primary address.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: It is the customer’s primary address.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: It is not the customer’s primary address.`]}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`line1`,type:`string`,id:`param-line1-3`,children:_jsx(_components.p,{children:`The first line of the customer’s address.`})}),`\n`,_jsx(ResponseField,{name:`line2`,type:`string`,id:`param-line2-3`,children:_jsx(_components.p,{children:`The second line of the customer’s address.`})}),`\n`,_jsx(ResponseField,{name:`city`,type:`string`,id:`param-city-3`,children:_jsx(_components.p,{children:`The city.`})}),`\n`,_jsx(ResponseField,{name:`zipcode`,type:`string`,id:`param-zipcode-3`,children:_jsx(_components.p,{children:`The zipcode.`})}),`\n`,_jsx(ResponseField,{name:`state`,type:`string`,id:`param-state-3`,children:_jsx(_components.p,{children:`The state.`})}),`\n`,_jsx(ResponseField,{name:`country`,type:`string`,id:`param-country-3`,children:_jsx(_components.p,{children:`The country.`})}),`\n`,_jsx(ResponseField,{name:`order_id`,type:`string`,id:`param-order-id`,children:_jsx(_components.p,{children:`The unique identifier of the order associated with the invoice.`})}),`\n`,_jsx(ResponseField,{name:`line_items`,type:`object`,id:`param-line-items-1`,children:_jsx(_components.p,{children:`Details of the line item that is billed in the invoice. Maximum of 50 line items.`})}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-5`,children:_jsx(_components.p,{children:`Unique identifier that is generated if a new item has been created while creating the invoice.`})}),`\n`,_jsx(ResponseField,{name:`item_id`,type:`string`,id:`param-item-id-1`,children:_jsx(_components.p,{children:`Unique identifier of the item generated using Items API that has been billed in the invoice.`})}),`\n`,_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-3`,children:_jsx(_components.p,{children:`The item’s name.`})}),`\n`,_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-2`,children:_jsx(_components.p,{children:`A brief description of the item.`})}),`\n`,_jsx(ResponseField,{name:`amount`,type:`integer`,id:`param-amount-1`,children:_jsx(_components.p,{children:`The price of the item.`})}),`\n`,_jsx(ResponseField,{name:`currency`,type:`string`,id:`param-currency-2`,children:_jsxs(_components.p,{children:[`The currency associated with the item. Default is `,_jsx(_components.code,{children:`INR`}),`. Know about the `,_jsx(_components.a,{href:`/payments/international-payments#supported-currencies`,children:`list of supported international currencies`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-4`,children:_jsxs(_components.p,{children:[`Here, it is `,_jsx(_components.code,{children:`invoice`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`quantity`,type:`integer`,id:`param-quantity-1`,children:_jsxs(_components.p,{children:[`The quantity of the item billed in the invoice. Defaults to `,_jsx(_components.code,{children:`1`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`payment_id`,type:`string`,id:`param-payment-id`,children:_jsx(_components.p,{children:`Unique identifier of a payment made against this invoice.`})}),`\n`,_jsxs(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:[_jsxs(_components.p,{children:[`The status of the invoice. Know more about `,_jsx(_components.a,{href:`/payments/invoices/states`,children:`Invoice States`}),`. Possible values:`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`draft`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`issued`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`partially_paid`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`paid`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`cancelled`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`expired`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`deleted`})}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`expire_by`,type:`integer`,id:`param-expire-by-1`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, at which the invoice will expire.`})}),`\n`,_jsx(ResponseField,{name:`issued_at`,type:`integer`,id:`param-issued-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, at which the invoice was issued to the customer.`})}),`\n`,_jsx(ResponseField,{name:`paid_at`,type:`integer`,id:`param-paid-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, at which the payment was made.`})}),`\n`,_jsx(ResponseField,{name:`cancelled_at`,type:`integer`,id:`param-cancelled-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, at which the invoice was cancelled.`})}),`\n`,_jsx(ResponseField,{name:`expired_at`,type:`integer`,id:`param-expired-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, at which the invoice expired.`})}),`\n`,_jsxs(ResponseField,{name:`sms_status`,type:`string`,id:`param-sms-status`,children:[_jsx(_components.p,{children:`The delivery status of the SMS notification for the invoice sent to the customer. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`pending`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`sent`})}),`\n`]})]}),`\n`,_jsxs(ResponseField,{name:`email_status`,type:`string`,id:`param-email-status`,children:[_jsx(_components.p,{children:`The delivery status of the email notification for the invoice sent to the customer. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`pending`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`sent`})}),`\n`]})]}),`\n`,_jsxs(ResponseField,{name:`partial_payment`,type:`boolean`,id:`param-partial-payment-1`,children:[_jsx(_components.p,{children:`Indicates whether the customer can make a partial payment on the invoice. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: The customer can make partial payments.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),` (default): The customer cannot make partial payments.`]}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`amount`,type:`integer`,id:`param-amount-2`,children:_jsxs(_components.p,{children:[`Amount to be paid using the invoice. Must be in the smallest unit of the currency. For example, if the amount to be received from the customer is , pass the value as `,_jsx(_components.code,{children:`30000`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`amount_paid`,type:`integer`,id:`param-amount-paid`,children:_jsx(_components.p,{children:`Amount paid by the customer against the invoice.`})}),`\n`,_jsx(ResponseField,{name:`amount_due`,type:`integer`,id:`param-amount-due`,children:_jsx(_components.p,{children:`The remaining amount to be paid by the customer for the issued invoice.`})}),`\n`,_jsx(ResponseField,{name:`currency`,type:`string`,id:`param-currency-3`,children:_jsxs(_components.p,{children:[`The currency associated with the invoice. You must mandatorily pass this parameter if accepting international payments. If you have passed `,_jsx(_components.code,{children:`currency`}),` as a sub-parameter in the `,_jsx(_components.code,{children:`line_item`}),` object, you must ensure that the same currency is passed in both places. Know about the `,_jsx(_components.a,{href:`/payments/international-payments#supported-currencies`,children:`list of supported international currencies.`})]})}),`\n`,_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-3`,children:_jsx(_components.p,{children:`A brief description of the invoice. The maximum character length is 2048.`})}),`\n`,_jsx(ResponseField,{name:`notes`,type:`object`,id:`param-notes`,children:_jsx(_components.p,{children:`Any custom notes added to the invoice. Maximum of 2048 characters.`})}),`\n`,_jsx(ResponseField,{name:`short_url`,type:`string`,id:`param-short-url`,children:_jsx(_components.p,{children:`The short URL that is generated. Share this link with customers to accept payments.`})}),`\n`,_jsx(ResponseField,{name:`date`,type:`integer`,id:`param-date`,children:_jsx(_components.p,{children:`Timestamp, in Unix format, that indicates the issue date of the invoice.`})}),`\n`,_jsx(ResponseField,{name:`terms`,type:`string`,id:`param-terms`,children:_jsx(_components.p,{children:`Any terms to be included in the invoice. Maximum of 2048 characters.`})}),`\n`,_jsx(ResponseField,{name:`comment`,type:`string`,id:`param-comment`,children:_jsx(_components.p,{children:`Any comments to be added in the invoice. Maximum of 2048 characters.`})}),`\n`,_jsx(ResponseField,{name:`ref_num`,type:`string`,id:`param-ref-num`,children:_jsx(_components.p,{children:`A unique reference number for the invoice, used for internal tracking and reconciliation.`})}),`\n`,_jsx(ResponseField,{name:`receipt`,type:`string`,id:`param-receipt`,children:_jsx(_components.p,{children:`A unique receipt number that you can provide for the invoice, for your internal reference.`})}),`\n`,_jsx(ResponseField,{name:`currency_symbol`,type:`string`,id:`param-currency-symbol`,children:_jsxs(_components.p,{children:[`For example, `,_jsx(_components.code,{children:`₹`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`idempotency_key`,type:`string`,id:`param-idempotency-key`,children:_jsx(_components.p,{children:`A unique key used to ensure idempotency of the invoice creation request, preventing duplicate invoices.`})}),`\n`,_jsx(ResponseField,{name:`billing_end`,type:`integer`,id:`param-billing-end`,children:_jsx(_components.p,{children:`Unix timestamp marking the end of the billing period for the invoice.`})}),`\n`,_jsx(ResponseField,{name:`gross_amount`,type:`integer`,id:`param-gross-amount`,children:_jsxs(_components.p,{children:[`The gross amount for this invoice, in the smallest currency unit (paise for INR). For example, `,_jsx(_components.code,{children:`50000`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`subscription_id`,type:`string`,id:`param-subscription-id`,children:_jsxs(_components.p,{children:[`Unique identifier of the subscription this invoice was generated for. `,_jsx(_components.code,{children:`null`}),` for one-off invoices.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`The api key provided is invalid`,id:`the-api-key-provided-is-invalid`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Code:`}),` `,_jsx(_components.code,{children:`400`})]}),_jsx(_components.p,{children:`The API key or secret are not entered or an invalid API key is used.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Solution:`}),` Use and enter the correct API details while executing the API.`]})]}),_jsxs(Accordion,{title:`customer, line_items, sms_notify, email_notify, draft, date, currency is/are not required and should not be sent`,id:`customer-line-items-sms-notify-email-notify-draft-date-currency-is-are-not-required-and-should-not-be-sent`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Code:`}),` `,_jsx(_components.code,{children:`400`})]}),_jsx(_components.p,{children:`The mentioned parameters are not required for updating an invoice. The API echoes the rejected field name in the response.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Solution:`}),` Pass only the required parameters in the Update Invoice API.`]})]}),_jsxs(Accordion,{title:`The amount field is required when item id is not present.`,id:`the-amount-field-is-required-when-item-id-is-not-present`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Code:`}),` `,_jsx(_components.code,{children:`400`})]}),_jsx(_components.p,{children:`Only name is entered without item id or amount.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Solution:`}),` Provide either the item id or the amount with the name.`]})]}),_jsxs(Accordion,{title:`The name field is required when item id is not present.`,id:`the-name-field-is-required-when-item-id-is-not-present`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Code:`}),` `,_jsx(_components.code,{children:`400`})]}),_jsx(_components.p,{children:`Possible reasons:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Only the amount field is entered without a name or item id.`}),`\n`,_jsx(_components.li,{children:`The amount, name or item id are not entered.`}),`\n`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Solution:`}),` Provide the name field of the item when passing the amount.`]})]}),_jsxs(Accordion,{title:`amount cannot be updated if invoice has line_items.`,id:`amount-cannot-be-updated-if-invoice-has-line-items`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Code:`}),` `,_jsx(_components.code,{children:`400`})]}),_jsxs(_components.p,{children:[`The invoice already has one or more `,_jsx(_components.code,{children:`line_items`}),`. Razorpay derives the invoice amount from the line items, so a top-level `,_jsx(_components.code,{children:`amount`}),` cannot be updated independently.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Solution:`}),` Update the corresponding `,_jsx(_components.code,{children:`line_items[].amount`}),` instead, or remove the line items before changing the invoice amount.`]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update an Invoice","description":"Update the details of the Invoice using this endpoint.","api":"PATCH /v1/invoices/:id","href":"/api/payments/invoices/update"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Heading,Info,ParamField,RequestExample,ResponseExample,ResponseField,Table,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(`div`,{style:{display:`flex`,flexWrap:`wrap`,alignItems:`center`,gap:`0.35rem 0.9rem`,border:`1px solid rgba(128,128,128,0.28)`,borderRadius:`0.5rem`,padding:`0.45rem 0.75rem`,margin:`0 0 1.25rem`,fontSize:`0.875rem`},children:[_jsx(`span`,{style:{fontWeight:600},children:`Available in`}),_jsx(`span`,{children:`🇮🇳 India`}),_jsx(`span`,{children:`🇲🇾 Malaysia`}),_jsx(`span`,{children:`🇺🇸 United States`})]}),`\n`,_jsx(_components.p,{children:`Use this endpoint to update the details of the invoice.`}),`\n`,_jsx(_components.p,{children:`The following table displays ths updates allowed as per invoice states:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Parameter Update Allowed`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Draft`}),_jsx(_components.td,{children:`All parameters can be updated including the line items. You can also add new line items.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Issued`}),_jsxs(_components.td,{children:[`You can update the following parameters: `,_jsxs(`ul`,{children:[_jsx(`li`,{children:_jsx(_components.code,{children:`partial_payment`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`receipt`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`comment`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`terms`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`notes`})}),_jsx(`li`,{children:_jsx(_components.code,{children:`expire_by`})})]})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Cancelled`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Expired`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Partially Paid`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Paid`}),_jsxs(_components.td,{children:[`Only `,_jsx(_components.code,{children:`notes`}),` can be updated.`]})]})]})]}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`Curl`,numberOfLines:`21`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`21`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [YOUR_KEY_ID]:[YOUR_KEY_SECRET]`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`-X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` PATCH`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.razorpay.com/v1/invoices/inv_DAtUWmR3Y5Dmxb`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'content-type : application/json'`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`-d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"line_items\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\": \"li_DAweOizsysoJU6\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\": \"Book / English August - Updated name and quantity\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"quantity\": 1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\": \"Book / A Wild Sheep Chase\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": 200,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"currency\": \"INR\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"quantity\": 1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"notes\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"updated-key\": \"An updated note.\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Java`,numberOfLines:`23`,language:`java`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`java`,children:_jsxs(_components.code,{language:`java`,numberOfLines:`23`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`RazorpayClient`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` razorpay`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` RazorpayClient`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"[YOUR_KEY_ID]\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"[YOUR_KEY_SECRET]\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`String`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` invoiceId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"inv_DAtUWmR3Y5Dmxb\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` invoiceRequest`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`List`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#D4D4D4`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#4EC9B0`},children:`Object`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#D4D4D4`},children:`> `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lines`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:` ArrayList`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`\u003c>();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` lineItems`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"li_DAweOizsysoJU6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Book / English August - Updated name and quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` lineItems1`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Book / A Wild Sheep Chase\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"200\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lineItems1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lines`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`add`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(lineItems);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lines`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`add`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(lineItems1);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`invoiceRequest`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"line_items\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,lines);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` notes`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` JSONObject`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`notes`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"updated-key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"An updated note.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`invoiceRequest`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`put`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"notes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, notes);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#4EC9B0`},children:`Invoice`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` invoice`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` razorpay`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`invoices`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`edit`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(invoiceId,invoiceRequest);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`21`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`21`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` razorpay`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`client `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` razorpay.Client(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`auth`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_SECRET\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`))`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`client.invoice.edit(invoiceId,{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"line_items\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"li_DAweOizsysoJU6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Book / English August - Updated name and quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Book / A Wild Sheep Chase\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`200`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"notes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"updated-key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"An updated note.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`})`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Go`,numberOfLines:`17`,language:`go`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`go`,children:_jsxs(_components.code,{language:`go`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ( `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`razorpay`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#CE9178`},children:`github.com/razorpay/razorpay-go`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` )`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`client`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` :=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` razorpay`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`NewClient`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_KEY_ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_SECRET\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`line_items`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` :=`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` make`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`map`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#4EC9B0`},children:`string`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`interface`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{})`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`line_items`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`] `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` map`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#4EC9B0`},children:`string`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`interface`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{}{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"li_DAweOizsysoJU6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Book / English August - Updated name and quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`:=`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` map`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_j
[...]
